pbox_houseWoodCarpenter = Class("pbox_houseWoodCarpenter", fv.core.Building)

function pbox_houseWoodCarpenter:onStateChange()
	local b = self
	local data = b:data()
	b:randReset()
	if b.working and b.damaged==false then
		if isValidUID(data["slot_table"]) == false then	
			b:randReset()
			data["slot_table"] = createDecorOnAirTurn (270, b, "models/house/furniture/table3.prefab", -0.3, .78, 3) -- 90 / -2.679, 1.092, -3.022
			b:addCollision(data["slot_table"], "models/house/furniture/table3.prefab")

			local number = b:rand(0,3)
			if number ==1 then
				data["carpenter_crate"] = createDecorOnGround (b, "models/house/decor/LIF_crate.prefab", 3.352, 0.0, 3.014)
				b:addCollision(data["carpenter_crate"], "models/house/decor/LIF_crate.prefab")
			end
			b:randReset()
			local number = b:rand(0,3)
			if number ==1 then
				data["carpenter_planks"] = createDecorOnGround (b, "models/house/decor/LIF_liedplanks.prefab", -1.704, 0.0, -4.098 )
			end
			b:randReset()
			local number = b:rand(0,3)
			if number ==1 then
				data["carpenter_barrel"] = createDecorOnGround (b, "models/house/decor/LIF_barrel.prefab", -3.562, 0.0, 3.355)
				b:addCollision(data["carpenter_barrel"], "models/house/decor/LIF_barrel.prefab")
			end
			local number = b:rand(0,3)
			if number ~=0 then
				data["slot_shutters1"] = createDecorOnAirTurn (-90, b, "models/house/decor/shutters7_"..number..".prefab", -0.215, 2.09, -3.718)
			end
			number = b:rand(0,3)
			if number ~=0 then
				data["slot_shutters2"] = createDecorOnAirTurn (90, b, "models/house/decor/shutters7_"..number..".prefab", -0.464, 2.09, 4.076)
			end
			number = b:rand(0,3)
			if number ~=0 then
				data["slot_shutters3"] = createDecorOnAirTurn (180, b, "models/house/decor/shutters7_"..number..".prefab", 2.542, 2.29, 1.958)
			end
			number = b:rand(0,5)
			if number ==1 then
				data["slot_stairs"] = createDecorOnAirTurn (0, b, "models/house/decor/stairs1.prefab", 1.158, 1.289, -3.974)
			end
			if number ==2 then
				data["slot_stairs"] = createDecorOnAirTurn (0, b, "models/house/decor/stairs1.prefab", 0.158, 1.918, -3.991)
			end
			if number ==3 then
				data["slot_stairs"] = createDecorOnAirTurn (0, b, "models/house/decor/stairs1.prefab", 0.158, 1.918, -3.991)
			end	
			if number ==4 then
				data["slot_stairs"] = createDecorOnAirTurn (0, b, "models/house/decor/stairs1.prefab", -1.024, 1.918, -3.991)
			end
			if number ==5 then
				data["slot_stairs"] = createDecorOnAirTurn (0, b, "models/house/decor/stairs1.prefab", -2.278, 0.679, -3.991)
			end				
			b:addCollision(data["slot_stairs"], "models/house/decor/stairs1.prefab") --"models/house/decor/stairs1.MIC"
			data["slot_lamp"] = createDecorOnAirTurn (90, b, "models/house/decor/lamp1.prefab", 2.349, 2.618, -4.399)
			createLight (b, "slot_light", 2.349, 2.618, -4.399)					

			number = b:rand(0,1)
			if number ==1 then
				data["slot_decal1"] = createDecorOnAirTurn (0, b, "models/house/decor/decal2.prefab", 0, 0.376, 0)
			end

			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants1"] = createDecorOnAirTurn (0, b, "models/house/decor/house_plants1.prefab", 2.685, 2.018, 3.181)					
			end					
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants2"] = createDecorOnAirTurn (180, b, "models/house/decor/house_plants1.prefab", -3.318, 2.05, 3.141)					
			end	
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants3"] = createDecorOnAirTurn (180, b, "models/house/decor/house_plants2.prefab", -2.699, 2.963, 0.577)					
			end				
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants4"] = createDecorOnAirTurn (180, b, "models/house/decor/house_plants1.prefab", -3.318, 2.05, -2.897)					
			end				
			
		end
	else			
		if isValidUID(data["slot_table"]) then
			clearModelSlot(b,"slot_table")
			clearModelSlot(b,"carpenter_crate")
			clearModelSlot(b,"carpenter_planks")
			clearModelSlot(b,"carpenter_barrel")
			clearModelSlot(b,"slot_shutters1")
			clearModelSlot(b,"slot_shutters2")
			clearModelSlot(b,"slot_shutters3")
			clearModelSlot(b,"slot_stairs")
			clearModelSlot(b,"slot_decal1")
			clearModelSlot(b,"slot_lamp")
			b:removeLight(data["slot_light"])
			clearModelSlot(b,"slot_plants1")
			clearModelSlot(b,"slot_plants2")
			clearModelSlot(b,"slot_plants3")
			clearModelSlot(b,"slot_plants4")
		end
	end
end		

-- oven orig: 180 / -0.921, 1.118, -3.061 // new 180 / -2, 1.118, -3.061
-- table orig: 90 / -2.679, 1.092, -3.022 // new 270 / -0.3, .78, 3
-- createFoodFirewood(b, Angle, X,Y,Z, Anglefood,Xfood,Yfood,Zfood)
-- orig (b, 0,-0.665, 1.097, -2.248, 180,-2.699, 2.086, -2.989)

function pbox_houseWoodCarpenter:ResAnimationFunc()
	local b = self
	local data = b:data()
	b:randReset()	
	local creating_oven2 = b:rand(1,4)
	if b.buildPercent >=80 then	
		if isValidUID(data["slot_oven"]) == false then	
			b:randReset()	
			data["slot_oven"] = createDecorOnAirTurn (180, b, "models/house/decor/pbox_oven2_2.prefab", -2, 1.118, -3.061) -- -0.921, 1.118, -3.061
			--b:addCollision(data["slot_oven"], "models/house/decor/oven1_2.prefab")
		end
	else
		if isValidUID(data["slot_oven"]) then
			clearModelSlot(b,"slot_oven")	
		end	
	end
	if creating_oven2 == 1 then
		fv.core.createSmolderCoal(b, -2.018, 2.186, -2.942)
	elseif creating_oven2 == 2 then
		fv.core.createSmolderCoal(b, -2.018, 2.786, -3.131)
	elseif creating_oven2 == 3 then
		fv.core.createSmolderCoal(b, -2.018, 1.968, -2.951)
	elseif creating_oven2 == 4 then
		fv.core.createSmolderCoal(b, -2.018, 2.128, -3.005)
	end
	fv.core.createFirewood(self, 0,-0.6, .77, -2.7)
	fv.core.createFood(self, 0,-0.32, 1.754, 2.967)
end



function pbox_houseWoodCarpenter:createWindow()
	return fv.core.HouseWindow(self)
end

function pbox_houseWoodCarpenter:onPrefabChange()
	self:ResAnimationFunc()
end

function pbox_houseWoodCarpenter:onResourceChange()
	self:ResAnimationFunc()
end

function pbox_houseWoodCarpenter:onTimeout()
	self:ResAnimationFunc()
end

function pbox_houseWoodCarpenter:init()
end

function pbox_houseWoodCarpenter.updatePlayer(b, w, checkAction)
	if w.storageEmpty == false then
		return depositToHouse(w, b, checkAction)
	end	
	return false
end

fv.core.GameMenu.model:regBuilding(pbox_houseWoodCarpenter, 'livingHouses.pbox_houseWoodCarpenter', 'GameLook1/iconhospital', '@btn_pbox_houseWoodCarpenter@ \n@Cost@: @pricepbox_houseWoodCarpenter@', 2)